<h1>WPSSO Social Sharing Buttons</h1><h3>Facebook G+ LinkedIn Pinterest Twitter WhatsApp &amp; More</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Social Sharing Buttons</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>WPSSO Core extension to add Social Sharing Buttons with support for hashtags, short URLs, bbPress, BuddyPress, WooCommerce, and much more.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>2.6.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.8</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 4.9.4</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>social share, social sharing, share buttons, sharing buttons, bbpress, buddypress, woocommerce, social, share, sharing, buttons, facebook, google, google plus, g+, twitter, linkedin, whatsapp, pinterest, tumblr, stumbleupon</td></tr>
</table>

<h2>Description</h2>

<p><img class="readme-icon" src="https://surniaulula.github.io/wpsso-ssb/assets/icon-256x256.png"></p>

<p>Add traditional social sharing buttons to posts / pages, custom post types, <a href="https://wordpress.org/plugins/bbpress/">bbPress</a>, <a href="https://wordpress.org/plugins/buddypress/">BuddyPress</a>, <a href="https://wordpress.org/plugins/woocommerce/">WooCommerce</a> product pages, and much more.</p>

<p>Include social sharing buttons in the content, excerpt, widget, CSS sidebar, shortcodes, templates, and <em>admin editing pages</em> &mdash; share your posts and pages directly from the editor!</p>

<p><strong>Do you use bbPress, BuddyPress, or WooCommerce?</strong> The Pro version of WPSSO Social Sharing Buttons (aka WPSSO SSB) includes special integration modules to add social sharing buttons to even more locations!</p>

<p>WPSSO SSB sources JavaScript provided by social websites asynchronously and &mdash; using WPSSO as its framework &mdash; provides accurate and customized information to each social website.</p>

<p><strong>WPSSO Social Sharing Buttons is <em>incredibly fast</em> and coded for performance:</strong></p>

<p>WPSSO Core and its extensions make full use of all available caching techniques (persistent / non-persistent object and disk caching), and load only the PHP library files and object classes they need, keeping their code small, fast, and light.</p>

<p>WPSSO Core and its extensions are fully tested and compatible with PHP v7.x (PHP v5.4 or better required).</p>

<h3>WPSSO Core Plugin Prerequisite</h3>

<p>WPSSO Social Sharing Buttons (aka WPSSO SSB) is an extension for the WPSSO Core plugin &mdash; which creates complete &amp; accurate meta tags and Schema markup from your existing content for social sharing, Social Media Optimization (SMO), Search Engine Optimization (SEO), Google Rich Cards, Pinterest Rich Pins, etc.</p>

<p>The WPSSO SSB Free extension works with either the Free or Pro version of WPSSO Core (Main Plugin).</p>

<p>The <a href="https://wpsso.com/extend/plugins/wpsso-ssb/?utm_source=wpssossb-readme-prereq">WPSSO SSB Pro extension</a> uses many WPSSO Core Pro features, which requires an active and licensed <a href="https://wpsso.com/?utm_source=wpssossb-readme-prereq">WPSSO Core Pro plugin</a>.</p>

<h3>Quick List of Features</h3>

<h4>WPSSO SSB Free / Standard Features</h4>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Extends the features of WPSSO Free or Pro.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Allows you to include a selection of traditional social sharing buttons in multiple locations:</p>

<ul>
<li>Above and/or below your post / page content and/or excerpt text.</li>
<li>Admin editing pages &ndash; including media, product pages, and custom post types.</li>
<li>In a WordPress sharing widget.</li>
<li>In a CSS / javascript sidebar.</li>
<li>A shortcode within your content and/or excerpt.</li>
<li>A function in your theme's template(s).</li>
</ul>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Social sharing buttons for the content, excerpt, in a widget, as a shortcode, floating sidebar, and/or PHP function:</p>

<ul>
<li>Buffer</li>
<li>Email</li>
<li>Facebook</li>
<li>Google+</li>
<li>LinkedIn</li>
<li>ManageWP</li>
<li>Pinterest</li>
<li>Reddit</li>
<li>StumbleUpon</li>
<li>Tumblr</li>
<li>Twitter</li>
<li>WhatsApp (for Mobile Devices)</li>
</ul>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Include / exclude individual social sharing buttons based on the viewing device (desktop and/or mobile).</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Automatically exclude buttons from <a href="https://wordpress.org/plugins/amp/">Accelerated Mobile Pages (AMP)</a> plugin pages.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; A built-in stylesheets editor for each social sharing button location (content, excerpt, shortcode, widget, etc.).</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Download the Free version from <a href="https://surniaulula.github.io/wpsso-ssb/">GitHub</a> or <a href="https://wordpress.org/plugins/wpsso-ssb/">WordPress.org</a>.</p>

<h3>Quick List of Features (Continued)</h3>

<h4>WPSSO SSB Pro / Additional Features</h4>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Extends the features of WPSSO Core Pro (requires an active and licensed <a href="https://wpsso.com/">WPSSO Core Pro plugin</a>).</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Dynamic button language switching based on the current WordPress locale.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Caching of sharing button images and JavaScript to maximizing performance on VPS and dedicated hardware hosting platforms.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; A selection of preset button options by location in the webpage (content, excerpt, shortcode, widget, etc.).</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Ability to include / exclude social sharing buttons by post type.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; Additional sharing button locations and CSS styles for:</p>

<ul>
<li><a href="https://wordpress.org/plugins/bbpress/">bbPress</a></li>
<li><a href="https://wordpress.org/plugins/buddypress/">BuddyPress</a></li>
<li><a href="https://wordpress.org/plugins/woocommerce/">WooCommerce</a></li>
</ul>

<h3>Extends the WPSSO Core Plugin</h3>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; The WPSSO Social Sharing Buttons (aka WPSSO SSB) Free extension works with either the Free or Pro version of WPSSO Core (Main Plugin).</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; The <a href="https://wpsso.com/extend/plugins/wpsso-ssb/?utm_source=wpssossb-readme-extends">WPSSO SSB Pro extension</a> uses many WPSSO Core Pro features, which requires an active and licensed <a href="https://wpsso.com/?utm_source=wpssossb-readme-extends">WPSSO Core Pro plugin</a>.</p>

<p><span style="color:#33cc33">&#x0229b;</span> &nbsp; <a href="https://wpsso.com/extend/plugins/wpsso-ssb/?utm_source=wpssossb-readme-purchase">Purchase the WPSSO Social Sharing Buttons Pro extension here</a> (all plugin purchases include a <em>No Risk 30 Day Refund Policy</em>).</p>


<h2>Installation</h2>

<h3>Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/installation/install-the-plugin/">Install the WPSSO SSB Extension (Free and Pro version)</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/installation/uninstall-the-plugin/">Uninstall the WPSSO SSB Extension</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3>Frequently Asked Questions</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/faqs/can-i-share-a-single-image-on-a-webpage/">Can I share a single image on a webpage?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/faqs/can-i-use-other-social-sharing-buttons/">Can I use other social sharing buttons?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/faqs/how-do-i-turn-on-social-sharing-buttons-for-a-page/">How do I turn on Social Sharing Buttons for a page?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/faqs/why-are-the-buttons-showing-the-wrong-language/">Why are the buttons showing the wrong language?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/faqs/why-does-the-facebook-like-button-flyout-get-clipped/">Why does the Facebook "Like" button flyout get clipped?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/faqs/why-doesnt-the-pinterest-button-show/">Why doesn't the Pinterest button show?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/faqs/why-doesnt-the-twitter-count-increase/">Why doesn't the Twitter count increase?</a></li>
</ul>


<h2>Other Notes</h2>

<h3>Other Notes</h3>
<h3>Additional Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/notes/developer/sharing-buttons-function/">Sharing Buttons Function</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/notes/ssb-shortcode/">SSB Shortcode for Sharing Buttons</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ssb/notes/styling-social-buttons/">Styling Social Buttons</a></li>
</ul>

